Package picard.illumina

## Class BarcodeExtractor

- java.lang.Object
- - picard.illumina.BarcodeExtractor

-     public class BarcodeExtractor
      extends Object

  BarcodeExtractor is used to match barcodes and collect barcode match metrics.

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class | Description
    --- | --- | ---
    `static class` | `BarcodeExtractor.BarcodeMatch` | Utility class to hang onto data about the best match for a given barcode

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `BarcodeExtractor​(Map<String,​BarcodeMetric> barcodeToMetrics, BarcodeMetric noMatchMetric, ReadStructure readStructure, int maxNoCalls, int maxMismatches, int minMismatchDelta, int minimumBaseQuality, DistanceMetric distanceMode)` |

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static String[]` | `generateNoMatchBarcode​(ReadStructure inputReadStructure)` |
    `Map<String,​BarcodeMetric>` | `getMetrics()` |
    `int` | `getMinimumBaseQuality()` |
    `BarcodeMetric` | `getNoMatchMetric()` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### BarcodeExtractor

          public BarcodeExtractor​(Map<String,​BarcodeMetric> barcodeToMetrics,
                                  BarcodeMetric noMatchMetric,
                                  ReadStructure readStructure,
                                  int maxNoCalls,
                                  int maxMismatches,
                                  int minMismatchDelta,
                                  int minimumBaseQuality,
                                  DistanceMetric distanceMode)

  - ### Method Detail

    - #### getMetrics

          public Map<String,​BarcodeMetric> getMetrics()

    - #### getNoMatchMetric

          public BarcodeMetric getNoMatchMetric()

    - #### getMinimumBaseQuality

          public int getMinimumBaseQuality()

    - #### generateNoMatchBarcode

          public static String[] generateNoMatchBarcode​(ReadStructure inputReadStructure)